Skip to main content
PATCH
/
payment-receipts
/
{id}
Partial update payment receipt (draft only)
curl --request PATCH \
  --url https://api.piriod.com/payment-receipts/{id}/ \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'x-simple-workspace: <x-simple-workspace>' \
  --data '
{
  "sources": [
    "<string>"
  ],
  "date": "2023-12-25",
  "custom_change": 2,
  "metadata": {},
  "tax_settings": {}
}
'
{
  "sources": [
    "<string>"
  ],
  "id": 123,
  "document": "MX22",
  "number": 123,
  "date": "2023-12-25",
  "custom_change": 2,
  "metadata": {},
  "tax_settings": {},
  "status": "draft",
  "biller_status": "<string>",
  "tax_agency": {},
  "local_file": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "updated": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://piriod-d406ac55.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use header Authorization: Token <api_token>. API tokens are obtained from the Piriod dashboard.

Headers

x-simple-workspace
string
required

Workspace (account) identifier. Required for every request.

x-piriod-test-mode
boolean
default:false

Whether to operate against test-mode data. Defaults to false.

Path Parameters

id
string
required

Resource identifier.

Body

application/json

A fiscal payment receipt (e.g. Mexican REP / "complemento de pago"). It groups one or more payment sources that completed payment of an invoice.

sources
string[]
required

IDs of payment sources covered by this receipt. All sources must belong to invoices for the same customer and document type, and cannot already have a payment receipt.

date
string<date> | null
custom_change
number | null

Custom currency conversion factor.

Required range: x >= 1
metadata
object
tax_settings
object

Country-specific tax-agency settings (validated at create/update).

Response

200 - application/json

Updated payment receipt.

A fiscal payment receipt (e.g. Mexican REP / "complemento de pago"). It groups one or more payment sources that completed payment of an invoice.

sources
string[]
required

IDs of payment sources covered by this receipt. All sources must belong to invoices for the same customer and document type, and cannot already have a payment receipt.

id
integer
read-only
document
enum<string> | null
read-only

Fiscal document type (set automatically by the biller).

Available options:
MX22
number
integer
read-only
date
string<date> | null
custom_change
number | null

Custom currency conversion factor.

Required range: x >= 1
metadata
object
tax_settings
object

Country-specific tax-agency settings (validated at create/update).

status
enum<string>
read-only
Available options:
draft,
finalized
biller_status
string
read-only
tax_agency
object
read-only
local_file
string<uri> | null
read-only
created
string<date-time>
read-only
updated
string<date-time>
read-only